<template>
    <div id="selected">
        <button class="btn btn-dark" @click="$emit('reselect:option')">
            {{ selected.name }}
        </button>
        <p>
            <small>Click to select another {{ singular }}.</small>
        </p>
    </div>
</template>

<script>
    export default {
        name: "selected",
        props: {
            selected: {
                type: Object,
                required: true
            },
            table: {
                type: String,
                required: true
            }
        },
        computed: {
            singular() {
                if (this.table === 'people') {
                    return 'person'
                } else if (this.table === 'entertainment') {
                    return 'title'
                } else if (this.table === 'genres') {
                    return 'genre'
                } else if (this.table === 'jobs') {
                    return 'job'
                } else if (this.table === 'types') {
                    return 'type'
                } else {
                    return 'error'
                }
            },
        }
    }
</script>

<style scoped>

</style>